## Union element_data

zeep::json::element::element_data

## Synopsis

    // In header: <zeep/json/element.hpp>

    union element_data {
      // construct/copy/destruct
      () = ;
      () ;
      () ;
      () ;
      ();
      ();
      ();
      ();
      ();
      ();
      ();

      // public member functions
       () ;

      // public data members
       m_object;
       m_array;
       m_string;
       m_int;
       m_float;
       m_boolean;
    };

## Description

### `element_data` public construct/copy/destruct

1.     () = ;

2.     ( v) ;

3.     ( v) ;

4.     ( v) ;

5.     ( t);

6.     ( v);

7.     ( v);

8.     ( v);

9.     ( v);

10.     ( v);

11.     ( v);

### `element_data` public member functions

1.      ( t) ;